package org.sistema.spring.aspects;

import org.sistema.spring.aspects.models.Race;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
/**
 * Main class.
 * 
 * @author Eugenia Pérez Martínez
 * @email eugenia_perez@cuatrovientos.org
 */
public class Main {

	public static void main(String[] args) {
		ApplicationContext context = new ClassPathXmlApplicationContext("beans.xml");

		Race race = (Race) context.getBean("race");
		System.out.println(race.toString());
		race.run();
		System.out.println(race.showResult());
	}

}
